Package csb :: Package bio :: Package io :: Module noe :: Class BasePeakListReader

[frames] | no frames]

# Class BasePeakListReader

source code

    object --+
             |
            BasePeakListReader

Known Subclasses:
  - SparkyPeakListReader
  - , XeasyPeakListReader

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

NOESpectrum

read(self, table) Parse a peak list table. | source code

NOESpectrum

read_all(self, filenames) Parse a list of peak list files and merge the resulting spectra. | source code

NOESpectrum

read_file(self, filename) Parse a peak list file. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``read``'``])``

Properties
Inherited from `object`: `__class__`

Method Details

### read(self, table)

source code

Parse a peak list table.

Parameters:
  - `table` (str) - input peak list table
Returns: NOESpectrum

### read_all(self, filenames)

source code

Parse a list of peak list files and merge the resulting spectra. All spectra must have identical dimensions.

Parameters:
  - `filenames` (iterable of str) - input file names
Returns: NOESpectrum
  joint spectrum

### read_file(self, filename)

source code

Parse a peak list file.

Parameters:
  - `filename` (str) - input file name
Returns: NOESpectrum